View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Oauth 2.0 authentication
In: header
Scope: https://uri.paypal.com/services/payments/payment
application/json
TypeScript Definitions
Use the request body type in TypeScript.
flow_configobject<flow_config>Optionaluser_actionenumOptionalinput_fieldsobject<input_fields>Optionalno_shippingintegerOptional0. Displays the shipping address on the PayPal pages.1. Redacts shipping address fields from the PayPal pages. For digital goods, this field is required and must be 1.2. Gets the shipping address from the customer's account profile.address_overrideintegerOptional0. Displays the shipping address on file.1. Displays the shipping address specified in this call. the customer cannot edit this shipping address.presentationobject<presentation>Optionallogo_imagestringOptionallocale_codestringOptionalapplication/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/payment-experience/web-profiles" \ -H "PayPal-Request-Id: string" \ -H "Content-Type: string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "stringstringstringstri", "name": "string", "temporary": true, "flow_config": { "landing_page_type": "login", "bank_txn_pending_url": "http://example.com", "user_action": "COMMIT", "return_uri_http_method": "GET" }, "input_fields": { "no_shipping": 0, "address_override": 0 }, "presentation": { "brand_name": "string", "logo_image": "string", "locale_code": "strin" }}